VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult:

## Avaliable Methods
public method | set_missing_files ()
public method | get_missing_files ()
public method | set_has_errors ()
public method | get_invalid_files ()
public method | get_has_errors ()
public method | new ()
public method | set_invalid_files ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult` class* defines the result of validating the files in the session.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult::get_has_errors | ( |  | ) |

Gets the value of 'has_errors' property.

Return values

  has_errors | - The current value of the field. Whether the validation was succesful or not. In case of errors, the :attr:`Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult.missing_files` and :attr:`Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult.invalid_files` will contain at least one entry. boolean#

Code:
click to view
# Number of lines of code in get_has_errors: 4
sub get_has_errors {
my ($self, %args) = @_;
return $self->{'has_errors'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult::get_invalid_files | ( |  | ) |

Gets the value of 'invalid_files' property.

Return values

  invalid_files | - The current value of the field. A list containing the files that have been identified as invalid and details about the error. List#

Code:
click to view
# Number of lines of code in get_invalid_files: 4
sub get_invalid_files {
my ($self, %args) = @_;
return $self->{'invalid_files'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult::get_missing_files | ( |  | ) |

Gets the value of 'missing_files' property.

Return values

  missing_files | - The current value of the field. A set containing the names of the files that are required but the client hasn't added. Set#

Code:
click to view
# Number of lines of code in get_missing_files: 4
sub get_missing_files {
my ($self, %args) = @_;
return $self->{'missing_files'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{has_errors} = $args{'has_errors'};
$self->{missing_files} = $args{'missing_files'};
$self->{invalid_files} = $args{'invalid_files'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult');
$self->set_binding_name('name' => 'com.vmware.content.library.item.updatesession.file.validation_result');
$self->set_binding_field('key' => 'has_errors', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'missing_files', 'value' => new Com::Vmware::Vapi::Bindings::Type::SetType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
$self->set_binding_field('key' => 'invalid_files', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item::Updatesession', 'type_name' => 'File::ValidationError')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult::set_has_errors | ( |  | ) |

Sets the given value for 'has_errors' property.

Parameters

  has_errors | - New value for the field. Whether the validation was succesful or not. In case of errors, the :attr:`Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult.missing_files` and :attr:`Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult.invalid_files` will contain at least one entry.

Code:
click to view
# Number of lines of code in set_has_errors: 5
sub set_has_errors {
my ($self, %args) = @_;
$self->{'has_errors'} = $args{'has_errors'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult::set_invalid_files | ( |  | ) |

Sets the given value for 'invalid_files' property.

Parameters

  invalid_files | - New value for the field. A list containing the files that have been identified as invalid and details about the error.

Code:
click to view
# Number of lines of code in set_invalid_files: 5
sub set_invalid_files {
my ($self, %args) = @_;
$self->{'invalid_files'} = $args{'invalid_files'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::ValidationResult::set_missing_files | ( |  | ) |

Sets the given value for 'missing_files' property.

Parameters

  missing_files | - New value for the field. A set containing the names of the files that are required but the client hasn't added.

Code:
click to view
# Number of lines of code in set_missing_files: 5
sub set_missing_files {
my ($self, %args) = @_;
$self->{'missing_files'} = $args{'missing_files'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/Updatesession/File.pm